/***********************************************************
    Module Name: DebugInterface.c
    Module Date: 04/15/2004
    Module Auth: John Orlando 
    Copyright (c) 2004 John Orlando  All Rights Reserved 

    Description: This module is responsible for providing a
    debug interface to the system.  Currently, the only
    debugging that is available is through the on-board
    UART (which is used by the main application as well) in
    addition to the LED hooked up at PORTD bit 6.
    ***********************************************************/

/*	Includes */
#include "CommonDefs.h"
#include "UartInterface.h"

/*  Local Variables */

/* 	Local Structures and Typedefs */

/*  Extern Variables */

/*  Definitions */

/***********************************************************
    Function Name: DebugInt_init
    Function Description: This function is responsible for
    initializing the debug module.  It sets up the debug LED
    as well as any other debugging that will be done.
    Inputs:  none
    Outputs: none
    ***********************************************************/
void DebugInt_init(void)
{
    /* set PortD pin6 for output */
    DDRD  |= 0x40;
    /* turn on LED */
    PORTD |= 0x40;
}

