#ifndef UIMGR_H
#define UIMGR_H

/***********************************************************
    Module Name: UIMgr.h
    Module Date: 04/10/2004
    Module Auth: John Orlando 
    Copyright (c) 2004 John Orlando  All Rights Reserved 

    Description: This file provides the external interface
    to the UI Mgr.
    ***********************************************************/


/* Defines */
#define UI_MGR_RX_FIFO_SIZE 32
#define UI_MGR_RX_FIFO_MASK UI_MGR_RX_FIFO_SIZE-1

#define UI_MGR_TX_FIFO_SIZE 64
#define UI_MGR_TX_FIFO_MASK UI_MGR_TX_FIFO_SIZE-1

#define LENGTH_OF_UI_CMD 		2
#define UI_MGR_MAX_CMD_LENGTH 	32
#define MAX_TOKEN_LENGTH		3   /* needs to hold 0 - 255 */
#define MAX_TOKEN_COUNT			64  /* for setting the color maps */


/* External Variable Reference */
extern unsigned char UIMgr_rxFifo[];
extern unsigned char UIMgr_rxFifoHead;
extern unsigned char UIMgr_rxFifoTail;

/* External Function Declaration */
extern void UIMgr_init(void);
extern void UIMgr_writeBufferToTxFifo(unsigned char *pData, unsigned char length);
extern void UIMgr_txBuffer(unsigned char *pData, unsigned char length);
extern void UIMgr_processReceivedData(void);
extern void UIMgr_transmitPendingData(void);
extern void UIMgr_dispatchEvent(unsigned char event);
extern void UIMgr_flushTxBuffer(void);
extern void UIMgr_writeTxFifo(unsigned char data);

#endif

