package img.connection;

import java.io.*;
import java.net.*;
import java.nio.channels.*;

public class ServerSocketConnection extends AbstractConnection {

   private ServerSocketChannel serverChannel;
   private SocketChannel clientChannel;
   private int port;

   public ServerSocketConnection(int port) {
      super();
      this.port = port;
   }

   public Object getConnectionObject() {
      return serverChannel;
   }

   public void connect() throws IOException {

      serverChannel = ServerSocketChannel.open();
      serverChannel.socket().setReceiveBufferSize(8192);
      System.out.println("Receive Buffer Size: " + serverChannel.socket().getReceiveBufferSize());
      serverChannel.socket().bind(
         new InetSocketAddress(InetAddress.getLocalHost(), port));

      clientChannel = serverChannel.accept();
      setConnected();
   }

   public void disconnect() throws IOException {
      if(clientChannel != null) {
         clientChannel.close();
      }
      serverChannel.close();
      setDisconnected();
   }

   public ByteChannel getChannel() {
      return clientChannel;
   }

   public InputStream getInputStream() throws IOException {
      return clientChannel.socket().getInputStream();
   }

   public OutputStream getOutputStream() throws IOException {
      return clientChannel.socket().getOutputStream();
   }

}
