package img.connection.event;

import java.util.*;

/***********************************************************************
 * This class defines methods that are invoked when a Connection is
 * either opened or closed.
 */
public interface ConnectionListener extends EventListener {

   /**
    * Invoked when a Connection is opened.
    * @param ce A ConnectionEvent encapsulating the event information.
    */
   public void connected(ConnectionEvent ce);

   /**
    * Invoked when a Connection is closed.
    * @param ce A ConnectionEvent encapsulating the event information.
    */
   public void disconnected(ConnectionEvent ce);

}
